/* cmplxops.h
 * 
 * Copyright (C) 2002 Claudio Girardi  <in3otd@qsl.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA, 02111-1307, USA
 */


#ifndef _CMPLXOPS_H_
#define _CMPLXOPS_H_

#include <math.h>


/* complex arithmetic subroutines */

typedef struct { 
    double x;
    double y; 
} complex;


complex CADD(complex a, complex b);
complex CSUB(complex a, complex b);
complex CMULT(complex a, complex b);
complex CDIV(complex a, complex b);
complex CTAN(complex x);
double RAD_TO_DEG(double angle);
void COM_TO_POLAR(complex x, double *mag, double *phase);
void POLAR_TO_COM(double mag, double phase, complex *x);
complex CSQRT(complex x);
complex CONJ(complex x);
complex CNEG(complex x);

#endif /* not _CMPLXOPS_H_ */
